#!/usr/bin/env node

'use strict';
var __awaiter = this && this.__awaiter || function (thisArg, _arguments, P, generator) {
    function adopt(value) {
        return value instanceof P ? value : new P(function (resolve) {
            resolve(value);
        });
    }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) {
            try {
                step(generator.next(value));
            } catch (e) {
                reject(e);
            }
        }
        function rejected(value) {
            try {
                step(generator['throw'](value));
            } catch (e) {
                reject(e);
            }
        }
        function step(result) {
            result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
        }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = this && this.__importDefault || function (mod) {
    return mod && mod.__esModule ? mod : { 'default': mod };
};
Object.defineProperty(exports, '__esModule', { value: true });
const args_1 = require('./commandLine/args');
const addConnection_1 = require('./commandLine/addConnection');
const useConnection_1 = require('./commandLine/useConnection');
const createRandomCompany_1 = require('./commandLine/createRandomCompany');
const database_1 = __importDefault(require('./database'));
const [, , ...args] = [...process.argv];
const argValues = args_1.getValuesFromArgs(args);
const main = args => __awaiter(void 0, void 0, void 0, function* () {
    const db = yield database_1.default();
    if (args.size > 0) {
        // Pass args to relavent functions
        const runProcess = () => __awaiter(void 0, void 0, void 0, function* () {
            if (args.has(args_1.Arg.addConnection))
                yield addConnection_1.addConnection(args, db);
            if (args.has(args_1.Arg.useConnection))
                yield useConnection_1.useConnection(args, db);
            if (args.has(args_1.Arg.createRandCompany))
                yield createRandomCompany_1.createRandomCompany(args, db);
        });
        yield runProcess();
    }
    yield db.destroy();
    process.exit();
});
main(argValues);    //# sourceMappingURL=cli.js.map
