"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.addressSeedCollectionMethods = exports.addressSeedMethods = exports.addressSeedSchema = void 0;
const address_1 = __importDefault(require("../../parse/models/address"));
exports.addressSeedSchema = {
    title: 'Parse Config Schema',
    description: 'Connection information for the Parse/LeapOne Server',
    version: 0,
    keyCompression: true,
    type: 'object',
    properties: {
        id: {
            type: 'string',
            primary: true,
        },
        theState: { type: 'string' },
        street: { type: 'string' },
        zipCode: { type: 'string' },
        city: { type: 'string' },
    },
};
exports.addressSeedMethods = {
    createAddress(company) {
        return __awaiter(this, void 0, void 0, function* () {
            return address_1.default.create(Object.assign(Object.assign({}, this), { company }));
        });
    },
};
exports.addressSeedCollectionMethods = {
    countAllDocuments() {
        return __awaiter(this, void 0, void 0, function* () {
            const allDocs = yield this.find().exec();
            return allDocs.length;
        });
    },
    getRandom() {
        return __awaiter(this, void 0, void 0, function* () {
            const addresss = this.find();
            const count = (yield addresss.exec()).length;
            const randId = Math.floor(Math.random() * count + 1);
            const query = this.findOne({
                selector: { id: { $gt: 0 } },
                skip: randId - 1,
            });
            const addressSeed = yield query.exec();
            if (addressSeed) {
                return addressSeed;
            }
            else {
                throw new Error('Could not get Address Seed');
            }
        });
    },
};
//# sourceMappingURL=addressSeedSchema.js.map