"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.contactSeedCollectionMethods = exports.contactSeedMethods = exports.contactSeedSchema = void 0;
const contact_1 = __importDefault(require("../../parse/models/contact"));
exports.contactSeedSchema = {
    title: 'Parse Config Schema',
    description: 'Connection information for the Parse/LeapOne Server',
    version: 0,
    keyCompression: true,
    type: 'object',
    properties: {
        id: {
            type: 'string',
            primary: true,
        },
        contact: { type: 'string' },
        type: { type: 'number' },
    },
};
exports.contactSeedMethods = {
    createContact(company, token) {
        return __awaiter(this, void 0, void 0, function* () {
            return contact_1.default.create(Object.assign(Object.assign({}, this), { company }), token);
        });
    },
};
exports.contactSeedCollectionMethods = {
    countAllDocuments() {
        return __awaiter(this, void 0, void 0, function* () {
            const allDocs = yield this.find().exec();
            return allDocs.length;
        });
    },
    getRandom(type) {
        return __awaiter(this, void 0, void 0, function* () {
            const contacts = this.find({ selector: { type } });
            const count = (yield contacts.exec()).length;
            const randId = Math.floor(Math.random() * count + 1);
            const query = this.findOne({
                selector: { id: { $gt: 0 } },
                skip: randId - 1,
            });
            const contactSeed = yield query.exec();
            if (contactSeed) {
                return contactSeed;
            }
            else {
                throw new Error('Could not get Contact Seed');
            }
        });
    },
};
//# sourceMappingURL=contactSeedSchema.js.map