"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const collections_1 = require("../types/collections");
const seedCollection_1 = require("./seedCollection");
// Type gaurd to make sure file parsed is type safe
const isAddressSeedData = (seedData) => {
    return (Array.isArray(seedData) &&
        seedData
            .map(({ theState, street, zipCode, city }) => typeof theState === 'string' &&
            typeof street === 'string' &&
            typeof zipCode === 'string' &&
            typeof city === 'string')
            .reduce((previous, current) => {
            if (current)
                return previous;
            return false;
        }, true));
};
const seedAddressData = (db) => __awaiter(void 0, void 0, void 0, function* () {
    return seedCollection_1.seedCollection(db, collections_1.CollectionNames.AddressSeeds, isAddressSeedData);
});
exports.default = seedAddressData;
//# sourceMappingURL=seedAddressData.js.map