"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const seedCollection_1 = require("./seedCollection");
const collections_1 = require("../types/collections");
// Type gaurd to make sure file parsed is type safe
const isCompanySeedData = (seedData) => {
    return !!(Array.isArray(seedData) &&
        seedData
            .map((seed) => seed.companyName &&
            seed.email &&
            seed.maxActiveUsers &&
            seed.nameFirst &&
            seed.nameLast &&
            seed.officeName &&
            seed.officeName &&
            seed.password &&
            seed.username)
            .reduce((previous, current) => {
            if (current)
                return previous;
            return false;
        }, true));
};
const seedCompanyData = (db) => __awaiter(void 0, void 0, void 0, function* () {
    return seedCollection_1.seedCollection(db, collections_1.CollectionNames.CompanySeeds, isCompanySeedData);
});
exports.default = seedCompanyData;
//# sourceMappingURL=seedCompanyData.js.map