"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const seedFile_1 = require("../types/seedFile");
const collections_1 = require("../types/collections");
exports.default = (db) => __awaiter(void 0, void 0, void 0, function* () {
    const files = new Map([
        [collections_1.CollectionNames.AddressSeeds, seedFile_1.DefaultPaths.AddressSeeds],
        [collections_1.CollectionNames.CompanySeeds, seedFile_1.DefaultPaths.CompanySeeds],
        [collections_1.CollectionNames.ContactSeeds, seedFile_1.DefaultPaths.ContactSeeds],
        [collections_1.CollectionNames.ContractSeeds, seedFile_1.DefaultPaths.ContractSeeds],
        [collections_1.CollectionNames.CreditAppSeeds, seedFile_1.DefaultPaths.CreditAppSeeds],
        [collections_1.CollectionNames.CustomerSeeds, seedFile_1.DefaultPaths.CustomerSeeds],
        [collections_1.CollectionNames.EstimateSeeds, seedFile_1.DefaultPaths.EstimateSeeds],
        [collections_1.CollectionNames.OfficeSeeds, seedFile_1.DefaultPaths.OfficeSeeds],
        [collections_1.CollectionNames.PriceGuideSeeds, seedFile_1.DefaultPaths.PriceGuideSeeds],
        [collections_1.CollectionNames.UserSeeds, seedFile_1.DefaultPaths.UserSeeds],
    ]);
    const bulkInserts = [];
    for (const [collection, fileName] of files) {
        const fileDoc = yield db.seedfiles.findOne(collection).exec();
        if (!fileDoc) {
            try {
                bulkInserts.push({
                    fileName,
                    collectionName: collection,
                    fileLastModified: '',
                });
            }
            catch (e) {
                console.error(e);
            }
        }
    }
    yield db.seedfiles.bulkInsert(bulkInserts);
});
//# sourceMappingURL=seedFiles.js.map