import { RxCollection, RxDocument } from 'rxdb';
import Address from '../../parse/models/address';
import Company from '../../parse/models/company';
export interface IMockAddress {
    theState: string;
    street: string;
    zipCode: string;
    city: string;
}
export declare type AddressSeedDocType = IMockAddress & {
    id: string;
};
export declare type AddressSeedMethods = {
    createAddress: (company: Company, token: string) => Promise<Address>;
};
export declare type AddressSeedDocument = RxDocument<AddressSeedDocType, AddressSeedMethods>;
export declare type AddressSeedCollectionMethods = {
    countAllDocuments: () => Promise<number>;
    getRandom: () => Promise<AddressSeedDocument>;
};
export declare type AddressSeedCollection = RxCollection<AddressSeedDocType, AddressSeedMethods, AddressSeedCollectionMethods>;
//# sourceMappingURL=addressSeed.d.ts.map