import { RxCollection, RxDocument } from 'rxdb';
import Company from '../../parse/models/company';
export declare type CompanySeedDocType = {
    id: string;
    companyName: string;
    maxActiveUsers: number;
    officeName: string;
    username: string;
    password: string;
    nameFirst: string;
    nameLast: string;
    email: string;
};
export declare type CompanySeedMethods = {
    checkExists: () => Promise<boolean>;
    createCompany: (maxActiveUsers: number, partnerTag: 'Leap' | 'Prosell') => Promise<Company>;
    getAccountCredentials: () => {
        username: string;
        password: string;
    };
};
export declare type CompanySeedDocument = RxDocument<CompanySeedDocType, CompanySeedMethods>;
export declare type CompanySeedCollectionMethods = {
    countAllDocuments: () => Promise<number>;
    getExisting: () => Promise<CompanySeedDocument[]>;
    getRandom: () => Promise<CompanySeedDocument>;
};
export declare type CompanySeedCollection = RxCollection<CompanySeedDocType, CompanySeedMethods, CompanySeedCollectionMethods>;
//# sourceMappingURL=companySeed.d.ts.map