/// <reference types="parse" />
import { RxCollection, RxDocument } from 'rxdb';
import Company from '../../parse/models/company';
import Office from '../../parse/models/office';
import User from '../../parse/models/user';
import ContractObject, { IBaseContractObject } from '../../parse/models/contractObject';
export declare type ContractSeedDocType = IBaseContractObject & {
    id: string;
};
export declare type ContractSeedMethods = {
    createContract: (company: Company, file: Parse.File, iconImageThumb: Parse.File, images: Parse.File[], includedOffices: Office[], lastModifiedBy: User, token: string, iconImage?: Parse.File, pdf?: Parse.File, pdfThumbnail?: Parse.File, preview?: Parse.File, watermark?: Parse.File) => Promise<ContractObject>;
};
export declare type ContractSeedDocument = RxDocument<ContractSeedDocType, ContractSeedMethods>;
export declare type ContractSeedCollectionMethods = {
    countAllDocuments: () => Promise<number>;
    getRandom: () => Promise<ContractSeedDocument>;
};
export declare type ContractSeedCollection = RxCollection<ContractSeedDocType, ContractSeedMethods, ContractSeedCollectionMethods>;
//# sourceMappingURL=contractSeed.d.ts.map