/// <reference types="parse" />
import { RxCollection, RxDocument } from 'rxdb';
import SSCreditApplication, { IBaseCreditApplication } from '../../parse/models/creditApplication';
import PartnerCreditApplication from '../../parse/models/partnerCreditApplication';
import Company from '../../parse/models/company';
import User from '../../parse/models/user';
import Customer from '../../parse/models/customer';
export declare type CreditAppSeedDocType = IBaseCreditApplication & {
    id: string;
};
export declare type CreditAppSeedMethods = {
    createCreditApp: (company: Company, createdBy: User, customer: Customer, token: string, partnerApp?: PartnerCreditApplication, sourceLogo?: Parse.File) => Promise<SSCreditApplication>;
};
export declare type CreditAppSeedDocument = RxDocument<CreditAppSeedDocType, CreditAppSeedMethods>;
export declare type CreditAppSeedCollectionMethods = {
    countAllDocuments: () => Promise<number>;
    getRandom: () => Promise<CreditAppSeedDocument>;
};
export declare type CreditAppSeedCollection = RxCollection<CreditAppSeedDocType, CreditAppSeedMethods, CreditAppSeedCollectionMethods>;
//# sourceMappingURL=creditApplicationSeed.d.ts.map