import { RxCollection, RxDocument } from 'rxdb';
import Customer from '../../parse/models/customer';
import SSContact from '../../parse/models/contact';
import SSAddress from '../../parse/models/address';
import SSEstimate from '../../parse/models/estimate';
import Company from '../../parse/models/company';
import User from '../../parse/models/user';
export interface IMockCustomer {
    firstName: string;
    lastName: string;
}
export declare type CustomerSeedDocType = IMockCustomer & {
    id: string;
};
export declare type CustomerSeedMethods = {
    createCustomer: (contactPhone: SSContact, contactEmail: SSContact, address: SSAddress, estimate: SSEstimate, company: Company, creator: User, token: string) => Promise<Customer>;
};
export declare type CustomerSeedDocument = RxDocument<CustomerSeedDocType, CustomerSeedMethods>;
export declare type CustomerSeedCollectionMethods = {
    countAllDocuments: () => Promise<number>;
    getRandom: () => Promise<CustomerSeedDocument>;
};
export declare type CustomerSeedCollection = RxCollection<CustomerSeedDocType, CustomerSeedMethods, CustomerSeedCollectionMethods>;
//# sourceMappingURL=customerSeed.d.ts.map