import { RxCollection, RxDocument } from 'rxdb';
import Estimate, { ILeadResult, IMeasureItem, ICustomProductItem } from '../../parse/models/estimate';
import Office from '../../parse/models/office';
import Company from '../../parse/models/company';
export declare type EstimateSeed = {
    activeProductCategories: string[];
    addedMeasureSheetItems: (IMeasureItem | ICustomProductItem)[];
    contractPDF: string;
    creditAppPDF: string;
    downPayment: number;
    financeAmount: number;
    isSale: boolean;
    leadResults: ILeadResult[];
    resultFullString: string;
    resultPDF: string;
    saleAmount: number;
    selectedEmailLinks: {
        [documentType: string]: {
            linkName: string;
            id: string;
            name: string;
            category: string;
            link: string;
        }[];
    };
};
export declare type EstimateSeedDocType = EstimateSeed & {
    id: string;
};
export declare type EstimateSeedMethods = {
    createEstimate: (office: Office, company: Company) => Promise<Estimate>;
};
export declare type EstimateSeedDocument = RxDocument<EstimateSeedDocType, EstimateSeedMethods>;
export declare type EstimateSeedCollectionMethods = {
    countAllDocuments: () => Promise<number>;
    getRandom: () => Promise<EstimateSeedDocument>;
};
export declare type EstimateSeedCollection = RxCollection<EstimateSeedDocType, EstimateSeedMethods, EstimateSeedCollectionMethods>;
//# sourceMappingURL=estimateSeed.d.ts.map