import { RxCollection, RxDocument } from 'rxdb';
import Company from '../../parse/models/company';
import Office from '../../parse/models/office';
export declare type OfficeSeedDocType = {
    id: string;
    name: string;
};
export declare type OfficeSeedMethods = {
    checkExists: () => Promise<boolean>;
    createOffice: (company: Company, token: string) => Promise<Office>;
};
export declare type OfficeSeedDocument = RxDocument<OfficeSeedDocType, OfficeSeedMethods>;
export declare type OfficeSeedCollectionMethods = {
    countAllDocuments: () => Promise<number>;
    getExisting: () => Promise<OfficeSeedDocument[]>;
    getRandom: () => Promise<OfficeSeedDocument>;
};
export declare type OfficeSeedCollection = RxCollection<OfficeSeedDocType, OfficeSeedMethods, OfficeSeedCollectionMethods>;
//# sourceMappingURL=officeSeed.d.ts.map