import { RxCollection, RxDocument } from 'rxdb';
import Office from '../../parse/models/office';
import Company from '../../parse/models/company';
import MeasureSheetItem from '../../parse/models/measureSheetItem';
import { IMockPriceItem } from '../../parse/types';
export declare type PriceGuideSeedDocType = {
    id: string;
    itemCount: number;
    items: IMockPriceItem[];
    category: string;
    subCategory: string;
    subSubCategory: string;
    subSubcategories: string;
    itemName: string;
    itemNote: string;
    measurementType: string;
    shouldShowSwitch: boolean;
    orderNumber: number;
};
export declare type PriceGuideSeedMethods = {
    checkExists: () => Promise<boolean>;
    createPriceGuideItem: (company: Company, offices: Office[], token: string) => Promise<MeasureSheetItem>;
};
export declare type PriceGuideSeedDocument = RxDocument<PriceGuideSeedDocType, PriceGuideSeedMethods>;
export declare type PriceGuideSeedCollectionMethods = {
    countAllDocuments: () => Promise<number>;
    getRandom: (company: Company) => Promise<PriceGuideSeedDocument>;
};
export declare type PriceGuideSeedCollection = RxCollection<PriceGuideSeedDocType, PriceGuideSeedMethods, PriceGuideSeedCollectionMethods>;
//# sourceMappingURL=priceGuideSeed.d.ts.map