import { RxCollection, RxDocument } from 'rxdb';
import { CollectionNames } from './collections';
export declare enum DefaultPaths {
    AddressSeeds = "seedAddressData.json",
    CompanySeeds = "seedCompanyData.json",
    ContactSeeds = "seedContactData.json",
    ContractSeeds = "seedContractData.json",
    CreditAppSeeds = "seedCreditApplicationData.json",
    CustomerSeeds = "seedCustomerData.json",
    EstimateSeeds = "seedEstimateData.json",
    OfficeSeeds = "seedOfficeData.json",
    PriceGuideSeeds = "seedPriceGuideData.json",
    UserSeeds = "seedUserData.json"
}
export declare type SeedFileDocType = {
    collectionName: CollectionNames;
    fileLastModified: string;
    fileName: string;
};
export declare type SeedFileMethods = {
    readFile: <T>() => Promise<T>;
    updateLastModified: () => Promise<void>;
    wasFileModified: () => Promise<boolean>;
};
export declare type SeedFileDocument = RxDocument<SeedFileDocType, SeedFileMethods>;
export declare type SeedFileCollectionMethods = {
    countAllDocuments: () => Promise<number>;
};
export declare type SeedFileCollection = RxCollection<SeedFileDocType, SeedFileMethods, SeedFileCollectionMethods>;
//# sourceMappingURL=seedFile.d.ts.map