import { RxCollection, RxDocument } from 'rxdb';
import User from '../../parse/models/user';
import Office from '../../parse/models/office';
export declare type UserSeedDocType = {
    id: string;
    userName: string;
    email: string;
    nameFirst: string;
    nameLast: string;
    phoneNumber: string;
    licenseNumber: number;
    password: string;
};
export declare type UserSeedMethods = {
    checkExists: () => Promise<boolean>;
    createUser: (office: Office, token: string) => Promise<User>;
    getAccountCredentials: () => {
        username: string;
        password: string;
    };
};
export declare type UserSeedDocument = RxDocument<UserSeedDocType, UserSeedMethods>;
export declare type UserSeedCollectionMethods = {
    countAllDocuments: () => Promise<number>;
    getExisting: () => Promise<UserSeedDocument[]>;
    getRandom: () => Promise<UserSeedDocument>;
};
export declare type UserSeedCollection = RxCollection<UserSeedDocType, UserSeedMethods, UserSeedCollectionMethods>;
//# sourceMappingURL=userSeed.d.ts.map