'use strict';
var __awaiter = this && this.__awaiter || function (thisArg, _arguments, P, generator) {
    function adopt(value) {
        return value instanceof P ? value : new P(function (resolve) {
            resolve(value);
        });
    }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) {
            try {
                step(generator.next(value));
            } catch (e) {
                reject(e);
            }
        }
        function rejected(value) {
            try {
                step(generator['throw'](value));
            } catch (e) {
                reject(e);
            }
        }
        function step(result) {
            result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
        }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = this && this.__importDefault || function (mod) {
    return mod && mod.__esModule ? mod : { 'default': mod };
};
Object.defineProperty(exports, '__esModule', { value: true });
const pouchdb_adapter_leveldb_1 = __importDefault(require('pouchdb-adapter-leveldb'));
const rxdb_1 = require('rxdb');
const leveldown_1 = __importDefault(require('leveldown'));
const database_1 = require('./data/database');
const types_1 = require('./commandLine/types');
rxdb_1.addRxPlugin(pouchdb_adapter_leveldb_1.default);
exports.default = () => __awaiter(void 0, void 0, void 0, function* () {
    return new Promise((resolve, reject) => {
        let leapDb;
        const db$ = database_1.initializeDatabase(leveldown_1.default);
        db$.subscribe(({message, progress, db}) => {
            console.log(types_1.ConsoleColor.FgCyan + types_1.ConsoleColor.Content + types_1.ConsoleColor.Reset, `Loading DB: ${ progress }% - ${ message }`);
            if (db) {
                leapDb = db;
            }
        }, err => {
            console.error(err);
            reject(err);
        }, () => {
            resolve(leapDb);
        });
    });
});    //# sourceMappingURL=database.js.map
