"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_1 = __importDefault(require("parse/node"));
const getSessionToken = (username, password) => __awaiter(void 0, void 0, void 0, function* () {
    const login = {
        username,
        password,
        source: 'mobile',
    };
    let loginRequest;
    try {
        loginRequest = yield node_1.default.Cloud.run('loginUser', login);
    }
    catch (e) {
        yield node_1.default.User.logOut();
        return getSessionToken(username, password);
    }
    const session = loginRequest.result;
    return session.attributes.sessionToken;
});
exports.default = getSessionToken;
//# sourceMappingURL=getSessionToken.js.map