"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_1 = __importDefault(require("parse/node"));
const office_1 = __importDefault(require("./models/office"));
const company_1 = __importDefault(require("./models/company"));
const user_1 = __importDefault(require("./models/user"));
const address_1 = __importDefault(require("./models/address"));
const contact_1 = __importDefault(require("./models/contact"));
const customer_1 = __importDefault(require("./models/customer"));
const estimate_1 = __importDefault(require("./models/estimate"));
const measureSheetItem_1 = __importDefault(require("./models/measureSheetItem"));
const priceGuideItem_1 = __importDefault(require("./models/priceGuideItem"));
exports.default = ({ appId, jsKey, masterKey, serverUrl }) => {
    // Initialize Parse SDK. NOTE: parse server must be running!
    node_1.default.initialize(appId);
    // Why? because Parse is dumb, and Parse.intialize doesn't always work
    node_1.default.applicationId = appId;
    node_1.default.masterKey = masterKey;
    node_1.default.javaScriptKey = jsKey;
    node_1.default.serverURL = serverUrl;
    // Register custom classes as parse objects
    [
        ['Office', office_1.default],
        ['_User', user_1.default],
        ['Company', company_1.default],
        ['SSAddress', address_1.default],
        ['SSContact', contact_1.default],
        ['SSCustomer', customer_1.default],
        ['SSEstimate', estimate_1.default],
        ['SSMeasureSheetItem', measureSheetItem_1.default],
        ['SSPriceGuideItem', priceGuideItem_1.default],
    ].forEach(([name, clss]) => node_1.default.Object.registerSubclass(name, clss));
    // Create admin company/user if it doesn't exist
    const createAdminCompany = () => __awaiter(void 0, void 0, void 0, function* () {
        const query = new node_1.default.Query(company_1.default);
        query.equalTo('name', 'Admin Company');
        const result = yield query.first({ useMasterKey: true });
        if (!result) {
            yield company_1.default.create({
                companyName: 'Admin Company',
                maxActiveUsers: 1,
                officeName: 'Admin Office',
                username: 'admin',
                password: '3uBdmFkLMC3F#g*8C',
                nameFirst: 'Dev',
                nameLast: 'Admin',
                email: 'devadmin@leap.com',
                partnerTag: 'Leap',
            });
            console.log('Admin company created');
        }
    });
    createAdminCompany();
};
//# sourceMappingURL=index.js.map