/// <reference types="parse" />
import Parse from 'parse/node';
import Office from './office';
import { ICustomConfig, ICreateCompany, Edit } from '../types';
interface IPartner {
}
interface IPaymentMethod {
}
interface IPlanObject {
}
interface IPaymentTransaction {
}
interface ICompanyAttributes {
    name: string;
    config: ICustomConfig;
    activeSections: object;
    maxActiveUsers: number;
    creditAppOptions: string[];
    statesKey: string;
    offices: Office[];
    isActive: boolean;
    isDemo: boolean;
    isLaunched: boolean;
    analytics: boolean;
    spreedlyEnabled: boolean;
    docuSignEnabled: boolean;
    edits: Edit[];
    logsEnabled: boolean;
    eagleViewEnabled: boolean;
    hoverEnabled: boolean;
    updatePaymentMethod: boolean;
    apiKey: string;
    apiAccess: boolean;
    stripeEnabled: boolean;
    partner: IPartner;
    url: string;
    appStyles: string;
    billingAddress: string;
    contactName: string;
    contactEmail: string;
    billingDate: Date;
    costPerUser: number;
    paymentMethod: IPaymentMethod;
    paymentHistory: IPaymentTransaction[];
    billingDay: number;
    restrictions: object;
    partnerParams: object;
    productName: string;
    companyCamEnabled: boolean;
    plan: IPlanObject;
    measureSheetItemCount: number;
    optionCount: number;
    upChargeCount: number;
}
declare class Company extends Parse.Object {
    constructor(options?: Record<string, unknown>);
    attributes: ICompanyAttributes;
    static create(definition: ICreateCompany): Promise<Company>;
}
export default Company;
//# sourceMappingURL=company.d.ts.map