"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DetailItemImagesSource = exports.CellType = exports.ImagesSource = void 0;
/* eslint-disable max-lines */
const node_1 = __importDefault(require("parse/node"));
var ImagesSource;
(function (ImagesSource) {
    ImagesSource["CompanyLogo"] = "companyLogo";
    ImagesSource["Default"] = "default";
    ImagesSource["EmptySpace"] = "emptySpace";
    ImagesSource["Image"] = "image";
})(ImagesSource = exports.ImagesSource || (exports.ImagesSource = {}));
var CellType;
(function (CellType) {
    CellType["BankAccountCell"] = "bankAccountCell";
    CellType["CreditCardCell"] = "creditCardCell";
    CellType["DetailCell"] = "detailCell";
    CellType["Drawing"] = "drawing";
    CellType["EmptySpace"] = "emptySpace";
    CellType["Header"] = "header";
    CellType["ImagePicker"] = "imagePicker";
    CellType["MeasureSheetItemDetail"] = "measureSheetItemDetail";
    CellType["PhotoPickerCell"] = "photoPickerCell";
    CellType["Provia"] = "provia";
    CellType["Signatures"] = "signatures";
    CellType["Switched"] = "switched";
    CellType["TextLong"] = "textLong";
    CellType["TextOnly"] = "textOnly";
    CellType["TextShort"] = "textShort";
    CellType["TextXLong"] = "textXLong";
})(CellType = exports.CellType || (exports.CellType = {}));
var DetailItemImagesSource;
(function (DetailItemImagesSource) {
    DetailItemImagesSource["Default"] = "default";
    DetailItemImagesSource["Unique"] = "unique";
})(DetailItemImagesSource = exports.DetailItemImagesSource || (exports.DetailItemImagesSource = {}));
class ContractObject extends node_1.default.Object {
    constructor(options) {
        super('ContractObject', options);
    }
    static create(mockContract, sessionToken) {
        return __awaiter(this, void 0, void 0, function* () {
            const options = { sessionToken, useMasterKey: true };
            const contract = new ContractObject(mockContract);
            contract.save(null, options);
            return contract;
        });
    }
}
exports.default = ContractObject;
//# sourceMappingURL=contractObject.js.map