/// <reference types="parse" />
import Parse from 'parse/node';
import Company from './company';
import SSAddress from './address';
import SSContact from './contact';
import SSEstimate from './estimate';
import User from './user';
import { IMockCustomer } from '../../data/types/customerSeed';
export interface ICustomerAttributes {
    apiSourceData: {
        apiSource: string;
        data: {
            appointment: {
                address: string;
                addressLine2: string;
                appointmentDateTime: Date;
                city: string;
                contactId: string;
                dateIssued: string;
                directions: string;
                hideInScheduler: boolean;
                id: string;
                inquiryId: string;
                lastModifiedDate: Date;
                notes: string;
                result: string;
                resultReason: string;
                salesperson: string;
                salesperson2: string;
                setBy: string;
                state: string;
                type: string;
                zip: string;
            };
            contacts: {
                address: string;
                addressLine2: string;
                city: string;
                companyId: string;
                contactBusinessName: string;
                contactType: string;
                email1: string;
                email2: string;
                email3: string;
                firstName: string;
                id: string;
                lastModifiedDateTime: Date;
                lastName: string;
                phoneNumbers: {
                    contactId: string;
                    freeFormNumber: string;
                    id: string;
                    isPrimary: boolean;
                    phoneNumberDigits: string;
                    type: string;
                }[];
                state: string;
                zip: string;
            }[];
            inquiry: {
                canvasser: string;
                contactId: string;
                division: string;
                id: string;
                inquiryDateTime: Date;
                lastModifiedDateTime: Date;
                leadPaintYearHomeBuilt: string;
                notes: string;
                primaryLeadSource: string;
                productInterests: string;
                promoter: string;
                secondaryLeadSource: string;
                takenBy: string;
                telemarketer: string;
            };
        };
    };
    addresses: SSAddress[];
    contacts: SSContact[];
    marketSharpAppointmentId: string;
    nameLast: string;
    estimate: SSEstimate;
    marketsharpId: string;
    identifier: string;
    isSpouse: boolean;
    createdBy: User;
    demoResult: 0 | 1;
    nameFirst: string;
    nameFirstLowerCase: string;
    nameLastLowerCase: string;
    company: Company;
}
declare class SSCustomer extends Parse.Object {
    constructor(options: Record<string, unknown>);
    attributes: ICustomerAttributes;
    static create(customer: IMockCustomer, contactPhone: SSContact, contactEmail: SSContact, address: SSAddress, estimate: SSEstimate, company: Company, creator: User, token: string): Promise<SSCustomer>;
}
export default SSCustomer;
//# sourceMappingURL=customer.d.ts.map