"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_1 = __importDefault(require("parse/node"));
const uuid_1 = require("uuid");
const getRandDate = () => new Date(Date.now());
const getRandNum = (max, padding) => {
    const randNum = Math.floor(Math.random() * max + 1).toString();
    const paddedNum = randNum.padStart(padding, '0');
    return paddedNum;
};
class SSCustomer extends node_1.default.Object {
    constructor(options) {
        super('SSCustomer', options);
    }
    static create(customer, contactPhone, contactEmail, address, estimate, company, creator, token) {
        return __awaiter(this, void 0, void 0, function* () {
            const { firstName, lastName } = customer;
            const [phone, email, state, city, zip, street] = [
                contactPhone.get('contact'),
                contactEmail.get('contact'),
                address.get('theState'),
                address.get('city'),
                address.get('zipCode'),
                address.get('street'),
            ];
            const options = { sessionToken: token };
            const mockCustomer = {
                apiSourceData: {
                    apiSource: 'Marketsharp',
                    data: {
                        appointment: {
                            address: street,
                            addressLine2: '',
                            appointmentDateTime: getRandDate(),
                            city,
                            contactId: uuid_1.v4(),
                            dateIssued: getRandDate(),
                            directions: 
                            // eslint-disable-next-line max-len
                            'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
                            hideInScheduler: false,
                            id: uuid_1.v4(),
                            inquiryId: uuid_1.v4(),
                            lastModifiedDate: uuid_1.v4(),
                            notes: 
                            // eslint-disable-next-line max-len
                            'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
                            result: getRandNum(10, 1),
                            resultReason: '',
                            salesperson: `${creator.get('nameFirst')} ${creator.get('nameLast')}`,
                            salesperson2: '',
                            setBy: `${firstName} ${lastName}`,
                            state,
                            type: 'Sales Call',
                            zip,
                        },
                        contacts: [
                            {
                                address: street,
                                addressLine2: '',
                                city,
                                companyId: getRandNum(9999, 4),
                                contactBusinessName: '',
                                contactType: 'CUSTOMER',
                                email1: email,
                                email2: '',
                                email3: '',
                                firstName,
                                id: uuid_1.v4(),
                                lastModifiedDateTime: getRandDate(),
                                lastName,
                                phoneNumbers: [
                                    {
                                        contactId: uuid_1.v4(),
                                        freeFormNumber: phone,
                                        id: uuid_1.v4(),
                                        isPrimary: true,
                                        phoneNumberDigits: Number(phone),
                                        type: 'Cell Phone',
                                    },
                                ],
                                state,
                                zip,
                            },
                        ],
                        inquiry: {
                            canvasser: '',
                            contactId: uuid_1.v4(),
                            division: '',
                            id: uuid_1.v4(),
                            inquiryDateTime: getRandDate(),
                            lastModifiedDateTime: getRandDate(),
                            leadPaintYearHomeBuilt: '',
                            notes: 
                            // eslint-disable-next-line max-len
                            'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
                            primaryLeadSource: 'Direct Mail',
                            productInterests: 'Home Improvement',
                            promoter: '',
                            secondaryLeadSource: '',
                            takenBy: getRandNum(20, 0),
                            telemarketer: '',
                        },
                    },
                },
                addresses: [address],
                contacts: [contactEmail, contactPhone],
                marketsharpAppointmentId: uuid_1.v4(),
                nameLast: lastName,
                estimate,
                marketsharpId: uuid_1.v4(),
                identifier: uuid_1.v4(),
                isSpouse: false,
                createdBy: creator,
                demoResult: 0,
                nameFirst: firstName,
                nameFirstLowerCase: firstName.toLowerCase(),
                nameLastLowerCase: lastName.toLowerCase(),
                company,
            };
            const newCustomer = new SSCustomer(mockCustomer);
            yield newCustomer.save(null, options);
            return newCustomer;
        });
    }
}
exports.default = SSCustomer;
//# sourceMappingURL=customer.js.map