/// <reference types="parse" />
import Parse from 'parse/node';
import SSPriceGuideItem from './priceGuideItem';
import Company from './company';
import Office from './office';
import { ICreateMeasureSheetItem } from '../types';
export interface IMeasureSheetAttributes {
    accessories: SSPriceGuideItem[];
    accessoriesCount: number;
    accessoriesRelation: SSPriceGuideItem[];
    additionalDetailObjects: [];
    category: string;
    company: Company;
    contractData: Record<string, unknown>;
    defaultQty: number;
    formulaID: string;
    image: File;
    includedOffices: Office[];
    itemCode: string;
    itemName: string;
    itemNote: string;
    items: SSPriceGuideItem[];
    itemsRelation: SSPriceGuideItem[];
    linkedMeasurementSources: [];
    measurementType: string;
    name: string;
    orderNumber_: number;
    placeholders: string[];
    qtyFormula: string;
    shouldShowSwitch: boolean;
    subCategory: string;
    subSubCategories: string;
    tagDefaultValue: string;
    tagInputType: string;
    tagNote: string;
    tagTitle: string;
    additionalDetails: [];
    displayTitle: string;
    itemCount: number;
    orderNumber: number;
    tagPickerOptions: [];
    tagRequired: boolean;
    sourceObjectId: string;
    subCategory2: string;
}
declare class SSMeasureSheetItem extends Parse.Object {
    constructor(options?: {});
    attributes: IMeasureSheetAttributes;
    static create(itemMock: ICreateMeasureSheetItem, company: Company, offices: Office[], token: string): Promise<SSMeasureSheetItem>;
}
export default SSMeasureSheetItem;
//# sourceMappingURL=measureSheetItem.d.ts.map