"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_1 = __importDefault(require("parse/node"));
const priceGuideItem_1 = __importDefault(require("./priceGuideItem"));
class SSMeasureSheetItem extends node_1.default.Object {
    // eslint-disable-next-line @typescript-eslint/ban-types
    constructor(options) {
        super('SSMeasureSheetItem', options);
    }
    static create(itemMock, company, offices, token) {
        return __awaiter(this, void 0, void 0, function* () {
            const options = { sessionToken: token };
            const { items } = itemMock, measureSheetData = __rest(itemMock, ["items"]);
            // Create price guide item(s)
            const priceGuideItems = yield Promise.all(items.map((priceGuideData) => __awaiter(this, void 0, void 0, function* () {
                const { itemPrices } = priceGuideData;
                // If no total data exists, make it 0
                const total = (Array.isArray(itemPrices) &&
                    itemPrices.length > 0 &&
                    itemPrices[0].total) ||
                    0;
                const priceGuideItem = new priceGuideItem_1.default(Object.assign(Object.assign({}, priceGuideData), { itemPrices: offices.map(({ id }) => ({ officeId: id, total })), company }));
                yield priceGuideItem.save(null, options);
                return priceGuideItem;
            })));
            // Create measure sheet item
            const measureSheetItem = new SSMeasureSheetItem(Object.assign(Object.assign({}, measureSheetData), { items: priceGuideItems }));
            yield measureSheetItem.save(null, options);
            return measureSheetItem;
        });
    }
}
exports.default = SSMeasureSheetItem;
//# sourceMappingURL=measureSheetItem.js.map