"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_1 = __importDefault(require("parse/node"));
class Office extends node_1.default.Object {
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    constructor(options) {
        super('Office');
    }
    static create(attributes, company, token) {
        return __awaiter(this, void 0, void 0, function* () {
            // Get initial office from company to copy from
            const initialOffice = company.get('offices')[0];
            const copyId = initialOffice.id;
            // Cloud function call, run as first company user
            // Returns a success message (string), so we'll need to manually find the
            // office object upon successful creation
            yield node_1.default.Cloud.run('createNewOffice', Object.assign(Object.assign({}, attributes), { priceGuideCopy: copyId, appSettingsCopy: copyId, contractsCopy: [copyId], proposalsCopy: [copyId], packagesCopy: [copyId], resourcesCopy: [copyId], financeOptionsCopy: [copyId] }), {
                sessionToken: token,
            });
            // Find the office Parse object we created
            const queryNewOffice = new node_1.default.Query(Office);
            const office = yield queryNewOffice.equalTo('name', attributes.name).first({
                useMasterKey: true,
            });
            if (office) {
                return office;
            }
            else {
                throw new Error('Could not retreive created office!');
            }
        });
    }
}
exports.default = Office;
//# sourceMappingURL=office.js.map