/// <reference types="parse" />
import Parse from 'parse/node';
import Office from './office';
import Company from './company';
import { ICreateUser } from '../types';
export interface IUserAttributes {
    updatedAt: Date;
    createdAt: Date;
    username: string;
    email: string;
    emailVerified: boolean;
    authData: Record<string, unknown>;
    allowedOffices: Office[];
    isActive: boolean;
    nameFirst: string;
    searchableTimeCustomer: number;
    nameLastLowerCase: string;
    userSettings: Record<string, unknown>;
    company: Company;
    additionalMinimumAmount: number;
    selectedOffice: Office;
    nameFirstLowerCase: string;
    canChangeSettings: boolean;
    nameLast: string;
    isManager: boolean;
    needsResetPassword: boolean;
    canSubmitCreditApps: boolean;
}
declare class User extends Parse.User {
    constructor(attributes: IUserAttributes);
    attributes: IUserAttributes;
    static create(attributes: ICreateUser, token: string): Promise<User>;
}
export default User;
//# sourceMappingURL=user.d.ts.map