"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_1 = __importDefault(require("parse/node"));
class User extends node_1.default.User {
    constructor(attributes) {
        super(attributes);
    }
    static create(attributes, token) {
        return __awaiter(this, void 0, void 0, function* () {
            const user = yield node_1.default.Cloud.run('signupUser', Object.assign(Object.assign({}, attributes), { licenseNumber: attributes.licenseNumber.toString() }), {
                sessionToken: token,
            });
            // After sign up, the user is logged in, log out user
            node_1.default.User.logOut();
            // Add the user to the company's sales rep group
            yield user.fetch({ useMasterKey: true });
            const company = user.get('company');
            const companyId = company.id;
            const query = new node_1.default.Query(node_1.default.Role);
            const role = yield query
                .equalTo('name', `SalesRep_${companyId}`)
                .first({ useMasterKey: true });
            if (role) {
                try {
                    role.getUsers().add(user);
                    yield role.save(null, { useMasterKey: true });
                }
                catch (e) {
                    console.error(e);
                }
            }
            return user;
        });
    }
}
exports.default = User;
//# sourceMappingURL=user.js.map