import { LeapGeneratorDatabase } from '../database';
import { IMockContact } from '../types/contactSeed';
import { seedCollection } from './seedCollection';
import { CollectionNames } from '../types/collections';

const isContactSeedData = (
  seedData: IMockContact[] | unknown
): seedData is IMockContact[] => {
  return (
    Array.isArray(seedData) &&
    (seedData as IMockContact[])
      .map(
        ({ contact, type }) =>
          typeof contact === 'string' && (type === 1 || type === 2)
      )
      .reduce((previous, current) => {
        if (current) return previous;
        return false;
      }, true)
  );
};

const seedContactData = async (db: LeapGeneratorDatabase): Promise<void> =>
  seedCollection<IMockContact>(
    db,
    CollectionNames.ContactSeeds,
    isContactSeedData
  );

export default seedContactData;
