import { LeapGeneratorDatabase } from '../database';
import { EstimateSeed } from '../types/estimateSeed';
import { seedCollection } from './seedCollection';
import { CollectionNames } from '../types/collections';

const isEstimateSeedData = (
  seedData: EstimateSeed[] | unknown
): seedData is EstimateSeed[] => {
  return !!(
    Array.isArray(seedData) &&
    (seedData as EstimateSeed[])
      .map(
        (seed) =>
          seed.activeProductCategories &&
          typeof Array.isArray(seed.activeProductCategories)
      )
      .reduce((previous, current) => {
        if (current) return previous;
        return false;
      }, true)
  );
};

const seedEstimateData = async (db: LeapGeneratorDatabase): Promise<void> =>
  seedCollection<EstimateSeed>(
    db,
    CollectionNames.EstimateSeeds,
    isEstimateSeedData
  );

export default seedEstimateData;
