import { LeapGeneratorDatabase } from '../database';
import { IMockOffice } from '../../parse/types';
import { seedCollection } from './seedCollection';
import { CollectionNames } from '../types/collections';

const isOfficeSeedData = (
  seedData: IMockOffice[] | unknown
): seedData is IMockOffice[] => {
  return !!(
    Array.isArray(seedData) &&
    (seedData as IMockOffice[])
      .map((seed) => seed.name && typeof seed.name === 'string')
      .reduce((previous, current) => {
        if (current) return previous;
        return false;
      }, true)
  );
};

const seedOfficeData = async (db: LeapGeneratorDatabase): Promise<void> =>
  seedCollection<IMockOffice>(
    db,
    CollectionNames.OfficeSeeds,
    isOfficeSeedData
  );

export default seedOfficeData;
