import { RxCollection, RxDocument } from 'rxdb';
import Address from '../../parse/models/address';
import Company from '../../parse/models/company';

export interface IMockAddress {
  theState: string;
  street: string;
  zipCode: string;
  city: string;
}

export type AddressSeedDocType = IMockAddress & {
  id: string; // will be an integer in string form
};

export type AddressSeedMethods = {
  createAddress: (company: Company, token: string) => Promise<Address>;
};

export type AddressSeedDocument = RxDocument<
  AddressSeedDocType,
  AddressSeedMethods
>;

export type AddressSeedCollectionMethods = {
  countAllDocuments: () => Promise<number>;
  getRandom: () => Promise<AddressSeedDocument>;
};

export type AddressSeedCollection = RxCollection<
  AddressSeedDocType,
  AddressSeedMethods,
  AddressSeedCollectionMethods
>;
