import { AddressSeedCollection } from './addressSeed';
import { CompanySeedCollection } from './companySeed';
import { ContactSeedCollection } from './contactSeed';
import { ContractSeedCollection } from './contractSeed';
import { CreditAppSeedCollection } from './creditApplicationSeed';
import { CustomerSeedCollection } from './customerSeed';
import { EstimateSeedCollection } from './estimateSeed';
import { OfficeSeedCollection } from './officeSeed';
import { ParseConfigCollection } from './parseConfig';
import { PriceGuideSeedCollection } from './priceGuideSeed';
import { SeedFileCollection } from './seedFile';
import { UserSeedCollection } from './userSeed';

export enum CollectionNames {
  AddressSeeds = 'addressseeds',
  CompanySeeds = 'companyseeds',
  ContactSeeds = 'contactseeds',
  ContractSeeds = 'contractseeds',
  CreditAppSeeds = 'creditappseeds',
  CustomerSeeds = 'customerseeds',
  EstimateSeeds = 'estimateseeds',
  OfficeSeeds = 'officeseeds',
  ParseConfigs = 'parseconfigs',
  PriceGuideSeeds = 'priceguideseeds',
  SeedFiles = 'seedfiles',
  UserSeeds = 'userseeds',
}

// All collection names must be only letters and lowercase!
export type LeapGeneratorCollections = {
  addressseeds: AddressSeedCollection;
  companyseeds: CompanySeedCollection;
  contactseeds: ContactSeedCollection;
  contractseeds: ContractSeedCollection;
  creditappseeds: CreditAppSeedCollection;
  customerseeds: CustomerSeedCollection;
  estimateseeds: EstimateSeedCollection;
  officeseeds: OfficeSeedCollection;
  parseconfigs: ParseConfigCollection;
  priceguideseeds: PriceGuideSeedCollection;
  seedfiles: SeedFileCollection;
  userseeds: UserSeedCollection;
};
