import { RxCollection, RxDocument } from 'rxdb';
import Contact from '../../parse/models/contact';
import Company from '../../parse/models/company';

export interface IMockContact {
  contact: string;
  type: 1 | 2;
}

export type ContactSeedDocType = IMockContact & {
  id: string; // will be an integer in string form
};

export type ContactSeedMethods = {
  createContact: (company: Company, token: string) => Promise<Contact>;
};

export type ContactSeedDocument = RxDocument<
  ContactSeedDocType,
  ContactSeedMethods
>;

export type ContactSeedCollectionMethods = {
  countAllDocuments: () => Promise<number>;
  getRandom: (type: 1 | 2) => Promise<ContactSeedDocument>;
};

export type ContactSeedCollection = RxCollection<
  ContactSeedDocType,
  ContactSeedMethods,
  ContactSeedCollectionMethods
>;
