import { RxCollection, RxDocument } from 'rxdb';
import SSCreditApplication, {
  IBaseCreditApplication,
} from '../../parse/models/creditApplication';
// eslint-disable-next-line max-len
import PartnerCreditApplication from '../../parse/models/partnerCreditApplication';
import Company from '../../parse/models/company';
import User from '../../parse/models/user';
import Customer from '../../parse/models/customer';

export type CreditAppSeedDocType = IBaseCreditApplication & {
  id: string; // will be an integer in string form
};

export type CreditAppSeedMethods = {
  createCreditApp: (
    company: Company,
    createdBy: User,
    customer: Customer,
    token: string,
    partnerApp?: PartnerCreditApplication,
    sourceLogo?: Parse.File
  ) => Promise<SSCreditApplication>;
};

export type CreditAppSeedDocument = RxDocument<
  CreditAppSeedDocType,
  CreditAppSeedMethods
>;

export type CreditAppSeedCollectionMethods = {
  countAllDocuments: () => Promise<number>;
  getRandom: () => Promise<CreditAppSeedDocument>;
};

export type CreditAppSeedCollection = RxCollection<
  CreditAppSeedDocType,
  CreditAppSeedMethods,
  CreditAppSeedCollectionMethods
>;
