import { RxCollection, RxDocument } from 'rxdb';
import Company from '../../parse/models/company';
import Office from '../../parse/models/office';

// Saved server connection doc types
export type OfficeSeedDocType = {
  id: string; // will be an integer in string form
  name: string;
};

export type OfficeSeedMethods = {
  checkExists: () => Promise<boolean>;
  createOffice: (company: Company, token: string) => Promise<Office>;
};

export type OfficeSeedDocument = RxDocument<
  OfficeSeedDocType,
  OfficeSeedMethods
>;

export type OfficeSeedCollectionMethods = {
  countAllDocuments: () => Promise<number>;
  getExisting: () => Promise<OfficeSeedDocument[]>;
  getRandom: () => Promise<OfficeSeedDocument>;
};

export type OfficeSeedCollection = RxCollection<
  OfficeSeedDocType,
  OfficeSeedMethods,
  OfficeSeedCollectionMethods
>;
