import { RxCollection, RxDocument } from 'rxdb';

// Saved server connection doc types
export type ParseConfigDocType = {
  id: string;
  serverName: string;
  appId: string;
  jsKey?: string;
  masterKey: string;
  serverUrl: string;
  active: boolean;
};

export type ParseConfigMethods = {
  connect: () => Promise<boolean>;
  checkOnline: () => Promise<boolean>;
};

export type ParseConfigDocument = RxDocument<
  ParseConfigDocType,
  ParseConfigMethods
>;

export type ParseConfigCollectionMethods = {
  countAllDocuments: () => Promise<number>;
};

export type ParseConfigCollection = RxCollection<
  ParseConfigDocType,
  ParseConfigMethods,
  ParseConfigCollectionMethods
>;
