import Parse from 'parse/node';
import { loginPayload, LoginResponse } from '../types';

const getSessionToken = async (
  username: string,
  password: string
): Promise<string> => {
  const login: loginPayload = {
    username,
    password,
    source: 'mobile',
  };

  let loginRequest: LoginResponse;
  try {
    loginRequest = await Parse.Cloud.run('loginUser', login);
  } catch (e) {
    await Parse.User.logOut();
    return getSessionToken(username, password);
  }
  const session = loginRequest.result;
  return session.attributes.sessionToken;
};

export default getSessionToken;
