import Parse from 'parse/node';
import Company from './company';

interface IAddressAttributes {
  theState: string;
  street: string;
  zipCode: string;
  city: string;
  company: Company;
}

class SSAddress extends Parse.Object {
  constructor(options: Record<string, unknown>) {
    super('SSAddress', options);
  }

  attributes!: IAddressAttributes;

  static async create({
    city,
    company,
    street,
    theState,
    zipCode,
  }: IAddressAttributes): Promise<SSAddress> {
    const address = new SSAddress({ city, company, street, theState, zipCode });

    return address;
  }
}

export default SSAddress;
