import Parse from 'parse/node';
import Company from './company';

interface IContactAttributes {
  contact: string; // phone or email
  type: 1 | 2; // 1: phone, 2: email
  company: Company;
}

class SSContact extends Parse.Object {
  constructor(options: IContactAttributes) {
    super('SSContact', options);
  }

  attributes!: IContactAttributes;

  static async create(
    { company, type, contact }: IContactAttributes,
    token: string
  ): Promise<SSContact> {
    const options = { sessionToken: token };

    const newContact = new SSContact({ company, type, contact });

    newContact.save(null, options);

    return newContact;
  }
}

export default SSContact;
