/* eslint-disable @typescript-eslint/ban-types */
import Parse from 'parse/node';
import Office from './office';
import Company from './company';

export interface ICustomProductItem {
  category: 'custom product';
  quantity: number;
  customItemName: string;
  pricesDict: {
    [objectId: string]: number;
  };
  customItemDetails: string;
  isActive: boolean;
}

export interface IMeasureItem {
  category: string;
  quantity: number;
  additionalValues: {};
  itemObjectId: string;
  activeObjectId: string;
  isActive: boolean;
}

export interface ILeadResult {
  values: [];
  apiValue: string;
  id: number;
  order: number;
  title: string;
  shouldFetch: boolean;
  inputType: string;
  value: string;
  endpoint: string;
  required: boolean;
}

export interface IMockEstimate {
  activeProductCategories: string[];
  addedMeasureSheetItems: (IMeasureItem | ICustomProductItem)[];
  availability: {};
  company: Company;
  contractPDF: Parse.File;
  contractVerifyPDF: Parse.File;
  creditAppPDF: Parse.File;
  demoResult: 0;
  // docuSign: {};
  // docusignCompleted: {};
  // docusignEnvelopeIds: [];
  // docusignObjects: {};
  // docusignResponse: {};
  downPayment: number;
  financeAmount: number;
  isSale: boolean;
  leadResults: ILeadResult[];
  office: Office;
  paymentRequest: {};
  proposalPDF: Parse.File;
  proposalVerifyPDF: Parse.File;
  reportPDF: Parse.File;
  resultFullString: string;
  resultLastPriceLeft: string;
  resultLeadResult: string;
  resultNote: string;
  resultPDF: Parse.File;
  saleAmount: number;
  selectedEmailLinks: {
    [documentType: string]: {
      linkName: string;
      id: string;
      name: string;
      category: string;
      link: string;
    }[];
  };
}

class SSEStimate extends Parse.Object {
  constructor(options?: IMockEstimate) {
    super('SSEstimate', options);
  }

  static async create(estimateSeed: IMockEstimate): Promise<SSEStimate> {
    const estimate = new SSEStimate(estimateSeed);
    return estimate;
  }
}

export default SSEStimate;
