import Parse from 'parse/node';

export interface IBasePartnerCreditApplication {
  submitAlert: {
    show: boolean;
    title: string;
    disclosure: string;
  };
  submitDisclosure: string;
  sections: {
    title: string;
    button: string;
    section: string;
    cells: {
      cellId: string;
      title: string;
      placeholder: string;
      note: string;
      cellType: string;
      inputType: string;
      required: boolean;
      appKey: string;
      apiKey: string;
      type: string;
      pickerOptions: string[];
      regex: string;
    }[];
  }[];
  title: string;
  source: string;
}

export interface IMockPartnerCreditApplication
  extends IBasePartnerCreditApplication {
  image: Parse.File;
}

class PartnerCreeditApplication extends Parse.Object {
  constructor(options?: IMockPartnerCreditApplication) {
    super('PartnerCreditApplication', options);
  }

  static async create(
    mockPartnerCreditApp: IMockPartnerCreditApplication,
    token: string
  ): Promise<PartnerCreeditApplication> {
    const options = { sessionToken: token };
    const partnerCreditApp = new PartnerCreeditApplication(
      mockPartnerCreditApp
    );
    await partnerCreditApp.save(null, options);
    return partnerCreditApp;
  }
}

export default PartnerCreeditApplication;
