import Parse from 'parse/node';
import fs from 'graceful-fs';

export default async (path: string, fileName: string): Promise<Parse.File> => {
  const demoFileBase64: string = await new Promise((resolve, reject) => {
    fs.readFile(
      path,
      {
        encoding: 'base64',
      },
      (err, data) => {
        if (err) {
          reject(err);
        } else {
          resolve(data);
        }
      }
    );
  });

  const demoFile = new Parse.File(fileName, { base64: demoFileBase64 });

  return demoFile;
};
